FreeCalypso > hg > fc-magnetite
annotate scripts/config-headers.sh @ 639:026c98f757a6
tpudrv12.h & targets/gtm900.h: our current support is for MGC2GSMT version only
As it turns out, there exist two different Huawei-made hw platforms both
bearing the marketing name GTM900-B: one is MG01GSMT, the other is MGC2GSMT.
The two are NOT fw-compatible: aside from flash chip differences which
should be handled by autodetection, the two hw platforms are already known
to have different RFFEs with different control signals, and there may be
other differences not yet known. Our current gtm900 build target is for
MGC2GSMT only; we do not yet have a specimen of MG01GSMT on hand, hence
no support for that version will be possible until and unless someone
provides one.
author | Mychaela Falconia <falcon@freecalypso.org> |
---|---|
date | Thu, 30 Jan 2020 18:19:01 +0000 |
parents | 92dbfa906f66 |
children |
rev | line source |
---|---|
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
1 #!/bin/sh |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
2 |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
3 if [ $# != 2 ] |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
4 then |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2 |
6
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
6 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
7 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
8 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
9 if [ -z "$TARGET" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
10 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
11 echo "Error: TARGET= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
12 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
13 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
14 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
15 if [ -z "$BUILD_DIR" ] |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
16 then |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
18 exit 1 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
19 fi |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
20 |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
21 set -e |
c01d2500a998
beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff
changeset
|
22 |
14
86e83045be37
scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents:
6
diff
changeset
|
23 rm -rf $BUILD_DIR/config |
144
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
24 cp -r cfg-headers/base $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
25 cp cfg-headers/$1/* $BUILD_DIR/config |
fd8227e3047d
config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents:
14
diff
changeset
|
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h |
602
92dbfa906f66
fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents:
144
diff
changeset
|
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h |